/*=============================================================================
             Programa de teste de libsk_access_tcp.so - Modo1
 Compilar com #gcc -L(caminho para o pacote) -Wall -o foo foo.c -lsk_access_tcp
                    
   V1.0 - 04/12/2013
   V1-1 - 09/12/2013 usa sk_access_tcp.h, melhoradas as rotinas de tramento
 de mensagem
   V1.2 - 12/12/2013 registrado que foo.c é para modo1
==============================================================================*/
#include <stdlib.h>
#include <stdio.h>
#include <dlfcn.h>
#include <curses.h>
#include <string.h>
#include "sk_access_tcp.h"

/*=============================================================================
==============================================================================*/
void _cdecl Connect(TMessage *Msg)
{ 
  char buf[30];
  
  if (Msg->LParamLo==1){
     printf("Conectou Client %d IP %s\n",Msg->LParamHi,IP_HEX2ascii(buf,Msg->WParam));
  }else{
     printf("Desconectou Client %d IP %s\n",Msg->LParamHi,IP_HEX2ascii(buf,Msg->WParam));
  }
}
 
void _cdecl Comunic(TMessage *Msg)
{
  printf("Client %d enviou 0x%x\n",Msg->LParamHi,Msg->LParamLo);
}
/*=============================================================================
                             Programa principal
==============================================================================*/

int main(int argc, char **argv)
{
	 printf("Inicio\n");
	 Set_Port(250);
//	 Set_Single_thread();			//Descomentar para multithread
	 Start_Server(&Connect , &Comunic);	//Dispara Servidor
	 do{
//	   ProccessMessages();			//Descomentar para multithread
           usleep(100000);
	 }while(1);
}